
# [@vue/shared](https://github.com/vuejs/vue-next)

[![Knightly Build](https://github.com/knightlyjs/knightly/blob/main/res/badge.svg?raw=true)](https://github.com/knightlyjs/knightly) ![2021-07-16T01:21:01.952Z](https://img.shields.io/date/1626398462?color=eee&label=)

[**Unofficial**] Nightly build for [vuejs/vue-next@4069a](https://github.com/vuejs/vue-next/tree/4069ad30c707e36a298810c1b4213b70633f5a4e), published automatically by [Knightly](https://github.com/knightlyjs/knightly).

| package (`@vue/shared`) | `@knightly/vue__shared`                                                                                                                      |
| ----------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| version (`3.1.4*`)      | `3.1.4-knightly-3-2.202107160112`                                                                                                            |
| last commit             | chore(compiler-core): reduce unnecessary cache inside v-once (#4112)                                                                         |
| sha (`3-2`)             | `4069ad30c707e36a298810c1b4213b70633f5a4e`                                                                                                   |
| changes                 | [compare with last release](//github.com/vuejs/vue-next/compare/v3.1.4-knightly-3-2.202107160112...4069ad30c707e36a298810c1b4213b70633f5a4e) |
| build                   | 2021-07-16T01:21:01.952Z                                                                                                                     |

> [More PRs and branches builds](https://www.npmjs.com/package/@knightly/vue__shared?activeTab=versions)

### Usage

To replace the package with nightly build:

via `npm`

```bash
npm i @vue/shared@npm:@knightly/vue__shared@3-2
```

or edit your `package.json`

```json
"dependencies": {
  "@vue/shared": "npm:@knightly/vue__shared@3-2"
}
```


## Packages

| Package                | Knightly                                                                                                                           |
| ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| `vue`                  | [`@knightly/vue`](https://www.npmjs.com/package/@knightly/vue/v/3.1.4-knightly-3-2.202107160112)                                   |
| `vue-compact`          | [`@knightly/vue-compact`](https://www.npmjs.com/package/@knightly/vue-compact/v/3.1.4-knightly-3-2.202107160112)                   |
| `@vue/reactivity`      | [`@knightly/vue__reactivity`](https://www.npmjs.com/package/@knightly/vue__reactivity/v/3.1.4-knightly-3-2.202107160112)           |
| `@vue/shared`          | [`@knightly/vue__shared`](https://www.npmjs.com/package/@knightly/vue__shared/v/3.1.4-knightly-3-2.202107160112)                   |
| `@vue/compiler-core`   | [`@knightly/vue__compiler-core`](https://www.npmjs.com/package/@knightly/vue__compiler-core/v/3.1.4-knightly-3-2.202107160112)     |
| `@vue/compiler-dom`    | [`@knightly/vue__compiler-dom`](https://www.npmjs.com/package/@knightly/vue__compiler-dom/v/3.1.4-knightly-3-2.202107160112)       |
| `@vue/compiler-sfc`    | [`@knightly/vue__compiler-sfc`](https://www.npmjs.com/package/@knightly/vue__compiler-sfc/v/3.1.4-knightly-3-2.202107160112)       |
| `@vue/compiler-ssr`    | [`@knightly/vue__compiler-ssr`](https://www.npmjs.com/package/@knightly/vue__compiler-ssr/v/3.1.4-knightly-3-2.202107160112)       |
| `@vue/runtime-dom`     | [`@knightly/vue__runtime-dom`](https://www.npmjs.com/package/@knightly/vue__runtime-dom/v/3.1.4-knightly-3-2.202107160112)         |
| `@vue/runtime-core`    | [`@knightly/vue__runtime-core`](https://www.npmjs.com/package/@knightly/vue__runtime-core/v/3.1.4-knightly-3-2.202107160112)       |
| `@vue/server-renderer` | [`@knightly/vue__server-renderer`](https://www.npmjs.com/package/@knightly/vue__server-renderer/v/3.1.4-knightly-3-2.202107160112) |

<br>
Knightly v0.5.6
